View Issue Details

IDProjectCategoryView StatusLast Update
0024398mantisbttaggingpublic2018-06-06 00:39
ReporterPedro RibeiroAssigned Toatrol 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.13.0 
Target Version2.15.0Fixed in Version2.15.0 
Summary0024398: Exception Missing Class
Description

The error happens when someone tries to submit a Bug Report and writes a new Tag in the Tag Field, fills in the mandatory fields and submits it. The following erros happens:

PHP Fatal error: Class 'ClientException' not found in /var/autofs/sites/erlogfssites/erlogtracking_mantis/mantisbt-2.14.0/api/soap/mc_tag_api.php on line 162, referer: http://tracking.erlog.pt/bug_report_page.php

Added "use Mantis\Exceptions\ClientException;" to top of file and fixed it.

No thanks needed. ;)

TagsNo tags attached.

Activities

atrol

atrol

2018-05-03 15:05

developer   ~0059733

No thanks needed. ;)

Thanks ;)

PR https://github.com/mantisbt/mantisbt/pull/1346

atrol

atrol

2018-05-03 15:11

developer   ~0059734

Regression introduced by MantisBT master 10c08145

Related Changesets

MantisBT: master 3812c5f6

2018-05-03 15:02:50

atrol

Details Diff
Fix Class 'ClientException' not found in tag api

Fixes 0024398
Affected Issues
0024398
mod - api/soap/mc_tag_api.php Diff File

MantisBT: master 7aa805ea

2018-05-06 06:21:35

atrol

Details Diff
Fix Class 'ClientException' not found in issue api

Issue 0024398
Affected Issues
0024398
mod - api/soap/mc_issue_api.php Diff File

Issue History

Date Modified Username Field Change
2018-05-03 11:23 Pedro Ribeiro New Issue
2018-05-03 15:04 atrol Assigned To => atrol
2018-05-03 15:04 atrol Status new => assigned
2018-05-03 15:04 atrol Target Version => 2.15.0
2018-05-03 15:05 atrol Note Added: 0059733
2018-05-03 15:11 atrol Note Added: 0059734
2018-05-03 15:13 atrol Product Version 2.14.0 => 2.13.0
2018-05-04 12:14 atrol Changeset attached => MantisBT master 3812c5f6
2018-05-04 12:14 atrol Status assigned => resolved
2018-05-04 12:14 atrol Resolution open => fixed
2018-05-04 12:14 atrol Fixed in Version => 2.15.0
2018-05-06 06:24 atrol Changeset attached => MantisBT master 7aa805ea
2018-06-06 00:39 vboctor Status resolved => closed